Ticket #66 (closed defect: fixed)

Opened 11 years ago

Last modified 6 years ago

savannah: read (subshell_pty...): No such file or directory (2) on mc compiled with subshel

Reported by: ksenux Owned by:
Priority: major Milestone: 4.7.1
Component: mc-core Version:
Keywords: Cc:
Blocked By: Blocking:
Branch state: no branch Votes for changeset:

Description (last modified by ossi) (diff)

Original: http://savannah.gnu.org/bugs/?19436

Submitted by:Anton <ksenux>Submitted on:Wed 28 Mar 2007 12:07:38 PM UTC
Category:SubshellSeverity:3 - Normal
Status:NonePrivacy:Public
Assigned to:NoneOpen/Closed:Open
Release:4.6.1Operating System:FreeBSD

Original submission:

uname -a
FreeBSD beta...dp.ua 6.2-RELEASE FreeBSD 6.2-RELEASE #1: Tue Jan 30 
16:58:36 UTC 2007 anton@beta...dp.ua:/usr/obj/usr/src/sys/Beta amd64

When i run mc, i have get error "read (subshell_pty...): No such 
file or directory (2)". And mc any more does not work.

Comment 1 by Pavel Tsekov <ptsekov> at Thu 29 Mar 2007 01:50:06 AM UTC:

The following patch should remedy your problem:

http://cvs.savannah.gnu.org/viewcvs/mc/src/subshell.c?root=mc&r1=1.93&r2=1.94&diff_format=u

You can also get a fresh snapshot which includes this patch from:

http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/snapshots/

Comment 2 by Pavel Tsekov <ptsekov> at Sat 21 Apr 2007 09:24:46 AM UTC:

Ping ? Did the suggested patch help you or not ?

Attachments

frebsd-subshell.patch (4.5 KB) - added by slavazanko 11 years ago.

Change History

Changed 11 years ago by slavazanko

comment:1 Changed 10 years ago by styx

  • Milestone set to future releases

comment:2 Changed 10 years ago by angel_il

  • severity set to no branch
  • Milestone changed from Future Releases to 4.7.1

need check it and close if already fixed

comment:3 Changed 9 years ago by angel_il

  • Status changed from new to closed
  • Resolution set to fixed

fixed in #213

comment:4 Changed 6 years ago by ossi

  • Branch state set to no branch

ehm, no. actually committed by pavel himself in mar 2007, now commit 850542cebddde53ea6c6f3042f6ba20f140fc4a4.

comment:5 Changed 6 years ago by ossi

  • Description modified (diff)
  • Reporter changed from slavazanko to ksenux
Note: See TracTickets for help on using tickets.